petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetTrustRegionTolerance

Sets the trust region parameter tolerance.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetTrustRegionTolerance(SNES snes,PetscReal tol)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| tol | - tolerance Many br

### Options Database Key

-snes_trtol <tol> -Sets tol Many br

Many br

### Keywords

SNES, nonlinear, set, trust region, tolerance

### See Also

SNESSetTolerances()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages